Bug 1989779 - Install plans permanently fail due to CRD resource modified or similar transient errors
Summary: Install plans permanently fail due to CRD resource modified or similar transi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6.z
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ---
: 4.8.z
Assignee: Joe Lanford
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1923111
Blocks: 1989780
TreeView+ depends on / blocked
 
Reported: 2021-08-04 01:07 UTC by Joe Lanford
Modified: 2021-08-16 18:32 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1923111
: 1989780 (view as bug list)
Environment:
Last Closed: 2021-08-16 18:32:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift operator-framework-olm pull 156 0 None None None 2021-08-04 12:07:42 UTC
Red Hat Product Errata RHBA-2021:3121 0 None None None 2021-08-16 18:32:39 UTC

Comment 5 Bruno Andrade 2021-08-10 17:36:40 UTC
OLM version: 0.17.0
git commit: 2ab4171de3930b89b6b186724c29bffcf6f39ce2
OCP: 4.8.0-0.nightly-2021-08-09-135211

1. Install operator into a namespace (e.g 3scale from OperatorHub. This will install CRDs onto the cluster

oc get csv -n test-1           
NAME                  DISPLAY   VERSION   REPLACES   PHASE
etcdoperator.v0.9.4   etcd      0.9.4                Succeeded


2. Run some script that constantly updates the CRDs of the installed operator to mimic some event updating the CRD
```
 while true; do        
    oc patch crd etcdclusters.etcd.database.coreos.com  --type=json -p='[{"op" : "add", "path" : "/metadata/labels/test", "value": "test"}]'
    oc patch crd etcdclusters.etcd.database.coreos.com --type=json -p='[{"op" : "remove", "path" : "/metadata/labels/test"}]'
done

customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
The request is invalid
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched

The requests fail when an Operator is being installed

```
3. Install the same operator into a different namespace 

oc get csv --all-namespaces  
NAMESPACE                              NAME                  DISPLAY          VERSION   REPLACES              PHASE
openshift-operator-lifecycle-manager   packageserver         Package Server   0.17.0                          Succeeded
test-1                                 etcdoperator.v0.9.4   etcd             0.9.4     etcdoperator.v0.9.2   Succeeded
test-2                                 etcdoperator.v0.9.4   etcd             0.9.4     etcdoperator.v0.9.2   Succeeded
test-3                                 etcdoperator.v0.9.4   etcd             0.9.4     etcdoperator.v0.9.2   Succeeded
test-4                                 etcdoperator.v0.9.4   etcd             0.9.4     etcdoperator.v0.9.2   Succeeded


4. Inspect for failed install plan 

 oc get ip --all-namespaces                                                                                                                                                                                                          
NAMESPACE   NAME            CSV                   APPROVAL    APPROVED
test-1      install-24tfk   etcdoperator.v0.9.4   Automatic   true
test-2      install-vdfv9   etcdoperator.v0.9.4   Automatic   true
test-3      install-zrh8w   etcdoperator.v0.9.4   Automatic   true
test-4      install-8j6fj   etcdoperator.v0.9.4   Automatic   true

Comment 7 errata-xmlrpc 2021-08-16 18:32:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.5 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3121


Note You need to log in before you can comment on or make changes to this bug.